## samba 4.6.5%2Bdfsg

=== dynconfig/wscript ===
#!/usr/bin/env python

import string, Logs, Utils, Options, Build, os, optparse, textwrap
from samba_utils import EXPAND_VARIABLES, os_path_relpath

class SambaIndentedHelpFormatter (optparse.IndentedHelpFormatter):
    """Format help with indented section bodies.
    """

    def __init__(self,
                 indent_increment=2,
                 max_help_position=12,
                 width=None,
                 short_first=1):
        optparse.IndentedHelpFormatter.__init__(
            self, indent_increment, max_help_position, width, short_first)

    def format_option(self, option):
        # The help for each option consists of two parts:
        #   * the opt strings and metavars
        #     eg. ("-x", or "-fFILENAME, --file=FILENAME")
        #   * the user-supplied help string
        #     eg. ("turn on expert mode", "read data from FILENAME")
        #
        # If possible, we write both of these on the same line:
        #   -x      turn on expert mode
        #
        # But if the opt string list is too long, we put the help
        # string on a second line, indented to the same column it would
        # start in if it fit on the first line.
        #   -fFILENAME, --file=FILENAME
        #           read data from FILENAME
        result = []
        opts = self.option_strings[option]
        opt_width = self.help_position - self.current_indent - 2
        if len(opts) > opt_width:
            opts = "%*s%s\n" % (self.current_indent, "", opts)
            indent_first = self.help_position
        else:                       # start help on same line as opts
            opts = "%*s%-*s  " % (self.current_indent, "", opt_width, opts)
            indent_first = 0
        result.append(opts)
        if option.help:
            help_text = self.expand_default(option)
            if string.find(help_text, '\n') == -1:
                help_lines = textwrap.wrap(help_text, self.help_width)
            else:
                help_lines = help_text.splitlines()
            result.append("%*s%s\n" % (indent_first, "", help_lines[0]))
            result.extend(["%*s%s\n" % (self.help_position, "", line)
                           for line in help_lines[1:]])
        elif opts[-1] != "\n":
            result.append("\n")
        return "".join(result)


# list of directory options to offer in configure
#
# 'STD-PATH'  - the default path without --enable-fhs
# 'FHS-PATH'  - the default path with --enable-fhs
#
# 'OPTION'    - the configure option to overwrite the default (optional)
# 'HELPTEXT'  - the help text of the configure option (optional)
#
# 'OVERWRITE' - The option referrs to itself and was already from
#               the basic GNU options from the gnu_dirs tool.
#               We may overwrite the related path. (Default: False)
#
# 'DELAY'     - The option referrs to other options in the dynconfig list.
#               We delay the intialization into a later stage. This
#               makes sure the recursion works. (Default: False)
#
dynconfig = {
    'BINDIR' : {
         'STD-PATH':  '${BINDIR}',
         'FHS-PATH':  '${BINDIR}',
         'OVERWRITE': True,
    },
    'SBINDIR' : {
         'STD-PATH':  '${SBINDIR}',
         'FHS-PATH':  '${SBINDIR}',
         'OVERWRITE': True,
    },
    'LIBDIR' : {
         'STD-PATH':  '${LIBDIR}',
         'FHS-PATH':  '${LIBDIR}',
         'OVERWRITE': True,
    },
    'LIBEXECDIR' : {
         'STD-PATH':  '${LIBEXECDIR}',
         'FHS-PATH':  '${LIBEXECDIR}',
         'OVERWRITE': True,
    },
    'DATADIR' : {
         'STD-PATH':  '${DATADIR}',
         'FHS-PATH':  '${DATADIR}',
         'OVERWRITE': True,
    },
    'LOCALEDIR' : {
         'STD-PATH':  '${LOCALEDIR}',
         'FHS-PATH':  '${LOCALEDIR}',
         'OVERWRITE': True,
    },
    'PYTHONDIR' : {
         'STD-PATH':  '${PYTHONDIR}',
         'FHS-PATH':  '${PYTHONDIR}',
         'OVERWRITE': True,
    },
    'PYTHONARCHDIR' : {
         'STD-PATH':  '${PYTHONARCHDIR}',
         'FHS-PATH':  '${PYTHONARCHDIR}',
         'OVERWRITE': True,
    },
    'PERL_LIB_INSTALL_DIR' : {
         'STD-PATH':  '${PERL_LIB_INSTALL_DIR}',
         'FHS-PATH':  '${PERL_LIB_INSTALL_DIR}',
         'OVERWRITE': True,
    },
    'PERL_ARCH_INSTALL_DIR' : {
         'STD-PATH':  '${PERL_ARCH_INSTALL_DIR}',
         'FHS-PATH':  '${PERL_ARCH_INSTALL_DIR}',
         'OVERWRITE': True,
    },
    'INCLUDEDIR' : {
         'STD-PATH':  '${INCLUDEDIR}',
         'FHS-PATH':  '${INCLUDEDIR}/samba-4.0',
         'OVERWRITE': True,
    },
    'SCRIPTSBINDIR' : {
         'STD-PATH':  '${SBINDIR}',
         'FHS-PATH':  '${SBINDIR}',
    },
    'SETUPDIR' : {
         'STD-PATH':  '${DATADIR}/setup',
         'FHS-PATH':  '${DATADIR}/samba/setup',
    },
    'PKGCONFIGDIR' : {
         'STD-PATH':  '${LIBDIR}/pkgconfig',
         'FHS-PATH':  '${LIBDIR}/pkgconfig',
    },
    'CODEPAGEDIR' : {
         'STD-PATH':  '${DATADIR}/codepages',
         'FHS-PATH':  '${DATADIR}/samba/codepages',
    },
    'PRIVATELIBDIR' : {
         'STD-PATH':  '${LIBDIR}/private',
         'FHS-PATH':  '${LIBDIR}/samba',
         'OPTION':    '--with-privatelibdir',
         'HELPTEXT':  'Which directory to use for private Samba libraries',
         'OVERWRITE': True,
    },
    'MODULESDIR' : {
         'STD-PATH':  '${LIBDIR}',
         'FHS-PATH':  '${LIBDIR}/samba',
         'OPTION':    '--with-modulesdir',
         'HELPTEXT':  'Which directory to use for Samba modules',
         'OVERWRITE': True,
    },
    'PAMMODULESDIR' : {
         'STD-PATH':  '${LIBDIR}/security',
         'FHS-PATH':  '${LIBDIR}/security',
         'OPTION':    '--with-pammodulesdir',
         'HELPTEXT':  'Which directory to use for PAM modules',
    },
    'CONFIGDIR' : {
         'STD-PATH':  '${SYSCONFDIR}',
         'FHS-PATH':  '${SYSCONFDIR}/samba',
         'OPTION':    '--with-configdir',
         'HELPTEXT':  'Where to put configuration files',
    },
    'PRIVATE_DIR' : {
         'STD-PATH':  '${PREFIX}/private',
         'FHS-PATH':  '${LOCALSTATEDIR}/lib/samba/private',
         'OPTION':    '--with-privatedir',
         'HELPTEXT':  'Where to put sam.ldb and other private files',
    },
    'LOCKDIR' : {
         'STD-PATH':  '${LOCALSTATEDIR}/lock',
         'FHS-PATH':  '${LOCALSTATEDIR}/lock/samba',
         'OPTION':    '--with-lockdir',
         'HELPTEXT':  'Where to put short term disposable state files',
    },
    'PIDDIR' : {
         'STD-PATH':  '${LOCALSTATEDIR}/run',
         'FHS-PATH':  '${LOCALSTATEDIR}/run/samba',
         'OPTION':    '--with-piddir',
         'HELPTEXT':  'Where to put pid files',
    },
    'STATEDIR' : {
         'STD-PATH':  '${LOCALSTATEDIR}/locks',
         'FHS-PATH':  '${LOCALSTATEDIR}/lib/samba',
         'OPTION':    '--with-statedir',
         'HELPTEXT':  'Where to put persistent state files',
    },
    'CACHEDIR' : {
         'STD-PATH':  '${LOCALSTATEDIR}/cache',
         'FHS-PATH':  '${LOCALSTATEDIR}/cache/samba',
         'OPTION':    '--with-cachedir',
         'HELPTEXT':  'Where to put temporary cache files',
    },
    'LOGFILEBASE' : {
         'STD-PATH':  '${LOCALSTATEDIR}',
         'FHS-PATH':  '${LOCALSTATEDIR}/log/samba',
         'OPTION':    '--with-logfilebase',
         'HELPTEXT':  'Where to put log files',
    },
    'SOCKET_DIR' : {
         'STD-PATH':  '${LOCALSTATEDIR}/run',
         'FHS-PATH':  '${LOCALSTATEDIR}/run/samba',
         'OPTION':    '--with-sockets-dir',
         'HELPTEXT':  'socket directory',
    },
    'PRIVILEGED_SOCKET_DIR' : {
         'STD-PATH':  '${LOCALSTATEDIR}/lib',
         'FHS-PATH':  '${LOCALSTATEDIR}/lib/samba',
         'OPTION':    '--with-privileged-socket-dir',
         'HELPTEXT':  'privileged socket directory',
    },
    'WINBINDD_SOCKET_DIR' : {
         'STD-PATH':  '${SOCKET_DIR}/winbindd',
         'FHS-PATH':  '${SOCKET_DIR}/winbindd',
         'DELAY':     True,
    },
    'WINBINDD_PRIVILEGED_SOCKET_DIR' : {
         'STD-PATH':  '${PRIVILEGED_SOCKET_DIR}/winbindd_privileged',
         'FHS-PATH':  '${PRIVILEGED_SOCKET_DIR}/winbindd_privileged',
         'DELAY':     True,
    },
    'NMBDSOCKETDIR' : {
         'STD-PATH':  '${SOCKET_DIR}/nmbd',
         'FHS-PATH':  '${SOCKET_DIR}/nmbd',
         'DELAY':     True,
    },
    'NTP_SIGND_SOCKET_DIR' : {
         'STD-PATH':  '${PRIVILEGED_SOCKET_DIR}/ntp_signd',
         'FHS-PATH':  '${PRIVILEGED_SOCKET_DIR}/ntp_signd',
         'DELAY':     True,
    },
    'NCALRPCDIR' : {
         'STD-PATH':  '${SOCKET_DIR}/ncalrpc',
         'FHS-PATH':  '${SOCKET_DIR}/ncalrpc',
         'DELAY':     True,
    },
    'CONFIGFILE' : {
         'STD-PATH':  '${CONFIGDIR}/smb.conf',
         'FHS-PATH':  '${CONFIGDIR}/smb.conf',
         'DELAY':     True,
    },
    'LMHOSTSFILE' : {
         'STD-PATH':  '${CONFIGDIR}/lmhosts',
         'FHS-PATH':  '${CONFIGDIR}/lmhosts',
         'DELAY':     True,
    },
    'SMB_PASSWD_FILE' : {
         'STD-PATH':  '${PRIVATE_DIR}/smbpasswd',
         'FHS-PATH':  '${PRIVATE_DIR}/smbpasswd',
         'OPTION':    '--with-smbpasswd-file',
         'HELPTEXT':  'Where to put the smbpasswd file',
         'DELAY':     True,
    },
}

def set_options(opt):
    opt.parser.formatter = SambaIndentedHelpFormatter()
    opt.parser.formatter.width=Utils.get_term_cols()

    for k in ('--with-privatelibdir', '--with-modulesdir'):
        option = opt.parser.get_option(k)
        if option:
            opt.parser.remove_option(k)
    del opt.parser.defaults['PRIVATELIBDIR']
    del opt.parser.defaults['MODULESDIR']

    # get all the basic GNU options from the gnu_dirs tool

    opt_group=opt.add_option_group('Samba-specific directory layout','')

    fhs_help  = "Use FHS-compliant paths (default no)\n"
    fhs_help += "You should consider using this together with:\n"
    fhs_help += "--prefix=/usr --sysconfdir=/etc --localstatedir=/var"
    opt_group.add_option('--enable-fhs', help=fhs_help,
                   action="store_true", dest='ENABLE_FHS', default=False)

    for varname in dynconfig.keys():
        if 'OPTION' not in dynconfig[varname]:
            continue
        opt = dynconfig[varname]['OPTION']
        if 'HELPTEXT' in dynconfig[varname]:
            txt = dynconfig[varname]['HELPTEXT']
        else:
            txt = "dynconfig path %s" % (varname)
        def_std = dynconfig[varname]['STD-PATH']
        def_fhs = dynconfig[varname]['FHS-PATH']

        help = "%s\n[STD-Default: %s]\n[FHS-Default: %s]" % (txt, def_std, def_fhs)
        opt_group.add_option(opt, help=help, dest=varname, action="store")

def configure(conf):
    # get all the basic GNU options from the gnu_dirs tool

    if Options.options.ENABLE_FHS:
        flavor = 'FHS-PATH'
    else:
        flavor = 'STD-PATH'
        if conf.env.PREFIX == '/usr' or conf.env.PREFIX == '/usr/local':
           Logs.error("Don't install directly under /usr or /usr/local without using the FHS option (--enable-fhs)")
           raise Utils.WafError("ERROR: invalid --prefix=%s value" % (conf.env.PREFIX))

    explicit_set ={}

    dyn_vars = {}
    for varname in dynconfig.keys():
        dyn_vars[varname] = dynconfig[varname][flavor]
        if 'OVERWRITE' in dynconfig[varname] and dynconfig[varname]['OVERWRITE']:
            # we may overwrite this option
            continue
        conf.ASSERT(varname not in conf.env, "Variable %s already defined" % varname)

    # the explicit block
    for varname in dynconfig.keys():
        if 'OPTION' not in dynconfig[varname]:
            continue
        value = getattr(Options.options, varname, None)
        if value is None:
           continue
        conf.ASSERT(value != '', "Empty dynconfig value for %s" % varname)
        conf.env[varname] = value
        # mark it as explicit from the command line
        explicit_set[varname] = value

    # defaults stage 1 after the explicit block
    for varname in dynconfig.keys():

=== lib/resolv_wrapper/wscript ===
#!/usr/bin/env python

import os

VERSION="1.1.4"

def configure(conf):
    if conf.CHECK_BUNDLED_SYSTEM('resolv_wrapper', minversion=VERSION, set_target=False):
        conf.DEFINE('USING_SYSTEM_RESOLV_WRAPPER', 1)
        libresolv_wrapper_so_path = 'libresolv_wrapper.so'
    else:
        # check HAVE_GCC_THREAD_LOCAL_STORAGE
        conf.CHECK_CODE('''
            __thread int tls;

            int main(void) {
                return 0;
            }
            ''',
            'HAVE_GCC_THREAD_LOCAL_STORAGE',
            addmain=False,
            msg='Checking for thread local storage')

        # check HAVE_DESTRUCTOR_ATTRIBUTE
        conf.CHECK_CODE('''
            void test_destructor_attribute(void) __attribute__ ((destructor));

            void test_destructor_attribute(void)
            {
                return;
            }

            int main(void) {
                return 0;
            }
            ''',
            'HAVE_DESTRUCTOR_ATTRIBUTE',
            addmain=False,
            msg='Checking for library destructor support')

        # check HAVE_ATTRIBUTE_PRINTF_FORMAT
        conf.CHECK_CODE('''
            void log_fn(const char *format, ...) __attribute__ ((format (printf, 1, 2)));

            int main(void) {
                return 0;
            }
            ''',
            'HAVE_ATTRIBUTE_PRINTF_FORMAT',
            addmain=False,
            msg='Checking for printf format validation support')

        conf.CHECK_HEADERS('resolv.h')

        conf.CHECK_STRUCTURE_MEMBER('struct _res_state',
                                    '_u._ext.nsaddrs',
                                    headers='resolv.h',
                                    define='HAVE_RESOLV_IPV6_NSADDRS')

        conf.CHECK_FUNCS_IN('res_ninit', 'resolv')
        if conf.CONFIG_SET('HAVE_RES_NINIT'):
            conf.DEFINE('HAVE_RES_NINIT_IN_LIBRESOLV', 1)

        conf.CHECK_FUNCS_IN('res_nclose', 'resolv')
        if conf.CONFIG_SET('HAVE_RES_NCLOSE'):
            conf.DEFINE('HAVE_RES_NCLOSE_IN_LIBRESOLV', 1)

        conf.CHECK_FUNCS_IN('res_init __res_init', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_ninit __res_ninit', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_close __res_close', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_nclose __res_nclose', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_query __res_query', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_nquery __res_nquery', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_search __res_search', 'resolv', checklibc=True)
        conf.CHECK_FUNCS_IN('res_nsearch __res_nsearch', 'resolv', checklibc=True)

        conf.CHECK_DECLS('ns_name_compress', headers='sys/types.h arpa/nameser.h')
        if (conf.CONFIG_SET("HAVE_DECL_NS_NAME_COMPRESS")):
            conf.DEFINE("HAVE_NS_NAME_COMPRESS", 1)

        # Create full path to resolv_wrapper
        srcdir = os.path.realpath(conf.srcdir)
        libresolv_wrapper_so_path = srcdir + '/bin/default/lib/resolv_wrapper/libresolv-wrapper.so'

    conf.DEFINE('LIBRESOLV_WRAPPER_SO_PATH', libresolv_wrapper_so_path)
    conf.DEFINE('RESOLV_WRAPPER', 1)

def build(bld):
    if bld.CONFIG_SET("HAVE_RESOLV_H") and not bld.CONFIG_SET("USING_SYSTEM_RESOLV_WRAPPER"):
        # We need to do it this way or the library wont work.
        # Using private_library=True will add symbol version which
        # breaks preloading!
        bld.SAMBA_LIBRARY('resolv_wrapper',
                          source='resolv_wrapper.c',
                          deps='dl resolv',
                          install=False,
                          realname='libresolv-wrapper.so')

=== nsswitch/libwbclient/wscript ===
#!/usr/bin/env python

import Options, Logs

# Remember to also update wbclient.h
VERSION="0.13"

# It may be useful at some point to allow Samba to build against a
# system libwbclient, such as the one provided by Likewise.  To to
# this, not only must the check below be activated but this must only
# be activated with an off-by-default option to disable the internal
# build of both winbindd implementations, and all the internal
# references to libwbclient.h will need to be fixed to point at the
# system libwbclient.  Finally, as a system libwbclient would probably
# not use the same version scheme as Samba, so this would need to
# reference Likewise version numbers instead.
#
#def configure(conf):
#    if conf.CHECK_BUNDLED_SYSTEM_PKG('wbclient', minversion=VERSION):
#        conf.define('USING_SYSTEM_LIBWBCLIENT', 1)
#

def build(bld):
#    if bld.CONFIG_SET('USING_SYSTEM_LIBWBCLIENT'):
#        Logs.info("\tSelected system libwbclient build")
#        return
#
#    Logs.info("\tSelected embedded libwbclient build")

    abi_match = 'wbc*'
    bld.SAMBA_LIBRARY('wbclient',
                      source='''
                             wbc_guid.c
                             wbc_idmap.c
                             wbclient.c
                             wbc_pam.c
                             wbc_pwd.c
                             wbc_sid.c
                             wbc_util.c''',
                      deps='winbind-client',
                      pc_files='wbclient.pc',
                      public_headers='wbclient.h',
                      abi_directory='ABI',
                      abi_match=abi_match,
                      vnum=VERSION)

=== source4/lib/tls/wscript ===
#!/usr/bin/env python

import Options
from optparse import SUPPRESS_HELP

def set_options(opt):
    # allow users to disable gnutls
    opt.add_option('--enable-gnutls',
                   help=("Enable use of gnutls"),
                   action="store_true", dest='enable_gnutls', default=True)
    opt.add_option('--disable-gnutls', help=SUPPRESS_HELP, action="store_false", dest='enable_gnutls')


def configure(conf):
    conf.env.enable_gnutls = Options.options.enable_gnutls
    if not conf.env.enable_gnutls:
        conf.SET_TARGET_TYPE('gnutls', 'DISABLED')
        conf.SET_TARGET_TYPE('gcrypt', 'DISABLED')
        conf.SET_TARGET_TYPE('gpg-error', 'DISABLED')
        if 'AD_DC_BUILD_IS_ENABLED' in conf.env:
            conf.fatal("--disable-gnutls given: Building the AD DC requires GnuTLS (eg libgnutls-dev, gnutls-devel) for ldaps:// support and for the BackupKey protocol")
        return

    if Options.options.with_system_mitkrb5 and conf.env.AD_DC_BUILD_IS_ENABLED:
        conf.CHECK_CFG(package='gnutls',
                       args='"gnutls >= 3.4.7" --cflags --libs',
                       msg='Checking for gnutls >= 3.4.7',
                       mandatory=True)
        conf.DEFINE('HAVE_GNUTLS_3_4_7', 1)
        conf.DEFINE('HAVE_GNUTLS3', 1)
    else:
        if conf.CHECK_CFG(package='gnutls',
                          args='"gnutls >= 3.4.7" --cflags --libs',
                          msg='Checking for gnutls >= 3.4.7',
                          mandatory=False):
            conf.DEFINE('HAVE_GNUTLS_3_4_7', 1)
            conf.DEFINE('HAVE_GNUTLS3', 1)
        elif conf.CHECK_CFG(package='gnutls',
                            args='"gnutls >= 3.0.0" --cflags --libs',
                            msg='Checking for gnutls >= 3.0.0s', mandatory=False):
            conf.DEFINE('HAVE_GNUTLS3', 1)
        else:
            conf.CHECK_CFG(package='gnutls',
                           args='"gnutls >= 1.4.0 gnutls != 2.2.4 gnutls != 2.8.0 gnutls != 2.8.1" --cflags --libs',
                           msg='Checking for gnutls >= 1.4.0 and broken versions', mandatory=False)

    if 'HAVE_GNUTLS' in conf.env:
        conf.DEFINE('ENABLE_GNUTLS', 1)
    else:
        if 'AD_DC_BUILD_IS_ENABLED' in conf.env:
            conf.fatal("Building the AD DC requires GnuTLS (eg libgnutls-dev, gnutls-devel) for ldaps:// support and for the BackupKey protocol")

    conf.CHECK_FUNCS_IN('gnutls_global_init', 'gnutls',
                        headers='gnutls/gnutls.h')

    conf.CHECK_FUNCS_IN('gnutls_certificate_verify_peers3', 'gnutls',
                        headers='gnutls/gnutls.h')
    conf.CHECK_DECLS('GNUTLS_CERT_EXPIRED GNUTLS_CERT_NOT_ACTIVATED GNUTLS_CERT_UNEXPECTED_OWNER',
                     headers='gnutls/gnutls.h gnutls/x509.h')

    conf.CHECK_VARIABLE('gnutls_x509_crt_set_version',
                        headers='gnutls/gnutls.h gnutls/x509.h',
                        define='HAVE_GNUTLS_X509_CRT_SET_VERSION',
                        lib='gnutls')
    conf.CHECK_VARIABLE('gnutls_x509_crt_set_subject_key_id',
                        headers='gnutls/gnutls.h gnutls/x509.h',
                        define='HAVE_GNUTLS_X509_CRT_SET_SUBJECT_KEY_ID',
                        lib='gnutls')

    # check for gnutls_datum types
    conf.CHECK_TYPES('gnutls_datum gnutls_datum_t',
                     headers='gnutls/gnutls.h', lib='gnutls')

    # GnuTLS3 moved to libnettle, so only do this in the < 3.0 case
    if not 'HAVE_GNUTLS3' in conf.env:
        conf.CHECK_FUNCS_IN('gcry_control', 'gcrypt', headers='gcrypt.h')
        conf.CHECK_FUNCS_IN('gpg_err_code_from_errno', 'gpg-error')
    else:
        conf.SET_TARGET_TYPE('gcrypt', 'DISABLED')
        conf.SET_TARGET_TYPE('gpg-error', 'DISABLED')


def build(bld):
    bld.SAMBA_SUBSYSTEM('LIBTLS',
                        source='tls.c tlscert.c tls_tstream.c',
                        public_deps='talloc gnutls gcrypt samba-hostconfig samba_socket LIBTSOCKET tevent tevent-util'
                        )

=== debian/changelog ===
samba (2:4.6.5+dfsg-2.0nosystemd1) nosystemd-buster; urgency=medium

  * Non-maintainer upload.
  * Cure systemd infestation.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 21 Jun 2017 00:20:53 +0200

samba (2:4.6.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Move runtime dependencies of vfs_ceph and vfs_snapper to Recommends
  * Fix typo s/DESTIDR/DESTDIR/ in d/rules
  * Enable vfs_glusterfs (Closes: #864862)
  * Add libdbus-1-dev as Build-Depends to allow vfs_snapper to build (Closes:
    #804781). Patch by Willy Vanlid.

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Jun 2017 23:56:56 +0200

samba (2:4.6.5+dfsg-1) experimental; urgency=medium

  * New upstream version (Closes: #859390)
    - d/gbp.conf, d/watch: Change major version to 4.6
    - Bump Build-dependencies of talloc, tdb, tevent and ldb to resp. 2.1.9,
      1.3.12, O.9.31 and 1.1.29
    - Remove CVE-2017-7494.patch: applied upstream
    - Add Build-Depends: libcmocka-dev (>= 1.0)
    - Update d/*.install
    - d/samba-common.docs: Roadmap removed upstream
  * Update README.source, about importing major versions
  * d/control cleanup:
    - Remove Conflicts and Replaces on pre-wheezy samba4 packages
    - Remove Conflicts, Breaks and Replaces on pre-wheezy samba packages
    - Remove Conflicts, Breaks and Replaces on pre-jessie samba packages
    - Remove Conflicts, Breaks and Replaces on (pre-jessie) samba4 packages
    - Remove Conflicts on pre-jessie libldb1 package
    - Remove Breaks on pre-jessie qtsmbstatus-server package
    - Remove Replaces on pre-wheezy smbget package
    - wrap-and-sort
  * Add libcephfs-dev as b-d to build vfs_ceph (Closes: #856998). Patch from
    Ubuntu
  * Enable avahi support (Closes: #859875). Patch from Laurent Bigonville.
  * Translations:
    - Portuguese translation for debconf messages (Closes: #864172). Patch from
    Rui Branco
    - Hungarian translation for debconf messages (Closes: #708277)
  * Properly quote subshell invocation in samba-common.preinst (Closes: #771689)
  * Add Build-Depends: xfslibs-dev, for XFS quotas

 -- Mathieu Parent <sathieu@debian.org>  Mon, 12 Jun 2017 08:09:43 +0200

=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Ivo De Decker <ivodd@debian.org>,
           Mathieu Parent <sathieu@debian.org>,
           Andrew Bartlett <abartlet+debian@catalyst.net.nz>
Homepage: http://www.samba.org
Standards-Version: 3.9.8
Build-Depends: bison,
               debhelper (>> 9),
               dh-python,
               docbook-xml,
               docbook-xsl,
               faketime,
               flex,
               glusterfs-common,
               libacl1-dev,
               libaio-dev [linux-any],
               libarchive-dev,
               libattr1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libblkid-dev,
               libbsd-dev,
               libcap-dev [linux-any],
               libcephfs-dev,
               libcmocka-dev (>= 1.0),
               libcups2-dev,
               libdbus-1-dev,
               libgnutls28-dev,
               libgpgme11-dev,
               libldap2-dev,
               libldb-dev (>= 2:1.1.29~),
               libncurses5-dev,
               libpam0g-dev,
               libparse-yapp-perl,
               libpcap-dev [hurd-i386 kfreebsd-any],
               libpopt-dev,
               libreadline-dev,
               libtalloc-dev (>= 2.1.9~),
               libtdb-dev (>= 1.3.12~),
               libtevent-dev (>= 0.9.31~),
               perl,
               pkg-config,
               po-debconf,
               python-all-dev (>= 2.6.6-3),
               python-dnspython,
               python-ldb (>= 2:1.1.29~),
               python-ldb-dev (>= 2:1.1.29~),
               python-talloc-dev (>= 2.1.9~),
               python-tdb (>= 1.3.12~),
               python-testtools,
               python3,
               xfslibs-dev,
               xsltproc,
               zlib1g-dev (>= 1:1.2.3)
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/samba.git
Vcs-Git: https://anonscm.debian.org/git/pkg-samba/samba.git

Package: samba
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: adduser,
         libpam-modules,
         libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 4.1+Debian),
         procps,
         python,
         python-dnspython,
         python-samba,
         samba-common (= ${source:Version}),
         samba-common-bin (=${binary:Version}),
         tdb-tools,
         update-inetd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: attr, logrotate, samba-dsdb-modules, samba-vfs-modules
Suggests: bind9 (>= 1:9.5.1),
          bind9utils,
          ctdb,
          ldb-tools,
          ntp | chrony (>= 3.0-1),
          smbldap-tools,
          ufw,
          winbind
Enhances: bind9, ntp
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a stand-alone
 file and print server or as an NT4 or Active Directory domain controller.
 For use in an NT4 domain or Active Directory realm, you will also need the
 winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: samba (<< 2:4.3.3+dfsg-1)
Description: Samba core libraries
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the shared libraries.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ucf, ${misc:Depends}
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by all parts of Samba.

Package: samba-common-bin
Architecture: any
Depends: python,
         python-samba,
         samba-common (=${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: heimdal-clients
Description: Samba common files used by both the server and the client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}),
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Provides: samba-client
Suggests: cifs-utils, heimdal-clients
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: samba-testsuite
Architecture: any
Suggests: subunit
Depends: samba-common-bin,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: test suite from Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: tools for viewing and manipulating the Windows registry
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: libparse-pidl-perl
Architecture: any
Depends: libparse-yapp-perl, ${misc:Depends}, ${perl:Depends}
Recommends: samba-dev
Suggests: libwireshark-dev
Section: perl
Description: IDL compiler written in Perl
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the IDL (Interface Description Language) compiler pidl,
 which takes in IDL files and can output C code for various uses. It is
 primarily of interest to developers.

Package: samba-dev
Architecture: any
Depends: libc6-dev,
         libldb-dev,
         libparse-pidl-perl,
         libpopt-dev,
         libtalloc-dev,
         libtdb-dev (>= 1.2.11),
         libtevent-dev,
         samba-libs (= ${binary:Version}),
         ${misc:Depends}
Section: devel
Description: tools for extending Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains include files shared by the various Samba-based
 libraries.

Package: python-samba
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: python
Provides: ${python:Provides}
Suggests: python-gpgme
Depends: python-crypto,
         python-ldb,
         python-tdb,
         samba-libs (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains Python bindings for most Samba libraries.

Package: samba-dsdb-modules
Architecture: any
Section: libs
Depends: libgpgme11,
         samba-libs (= ${binary:Version}),
         ${ldb:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: libldb1
Description: Samba Directory Services Database
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains LDB plugins which add support for various Active
 Directory features to the LDB library.

Package: samba-vfs-modules
Architecture: any
Breaks: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Replaces: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${vfsmods:Recommends}
Enhances: samba
Description: Samba Virtual FileSystem plugins
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains plugins for the Samba server Virtual FileSystem.
 .
 Note: The runtime dependencies of vfs_ceph, vfs_glusterfs and vfs_snapper are
 moved to Recommends.

Package: libsmbclient
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: shared library for communication with SMB/CIFS servers
 This package provides a shared library that enables client applications
 to talk to Microsoft Windows and Samba servers using the SMB/CIFS
 protocol.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsmbclient (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: development files for libsmbclient
 This package provides the development files (static library and headers)
 required for building applications against libsmbclient, a library that

=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
DESTDIR = $(CURDIR)/debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PYVERS=$(shell pyversions -vr)

LDB_VERSION = $(shell pkg-config --modversion ldb)
LDB_EPOCH = $(shell dpkg-query -f '$${Version}' -W libldb-dev | sed 's/:.*//')
LDB_NEXT_VERSION = $(shell python -c "x = '$(LDB_VERSION)'.split('.'); x[-1] = str(int(x[-1])+1); print '.'.join(x)")
# samba ships ldb modules, which are specific to the ldb version, so we need a
# strict dependency on the upstream ldb version
# this also mean samba needs a rebuild when the upstream ldb version changes
LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):$(LDB_VERSION)~)"
export PYSHORT=$(shell pyversions -d)
export PYTHON=$(shell which $(PYSHORT))
export PYTHON_CONFIG="$(PYTHON)-config"
WAF = $(PYTHON) ./buildtools/bin/waf -v

# turn DEB_BUILD_OPTIONS='foo,bar' into DEB_BUILD_OPT_FOO and DEB_BUILD_OPT_BAR
d_b_o:=$(shell echo "$$DEB_BUILD_OPTIONS"|sed 's/[^-[:alnum:]]/ /g'|tr a-z A-Z)
$(foreach o, $(d_b_o), $(eval DEB_BUILD_OPT_$o := 1))

# for xsltproc wrapper
export PATH:=$(CURDIR)/debian/bin:$(PATH)
export SOURCE_DATE=$(shell debian/get_source_changedate.pl)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
WAF += -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

conf_args = \
		--prefix=/usr \
		--enable-fhs \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-privatedir=/var/lib/samba/private \
		--with-smbpasswd-file=/etc/samba/smbpasswd \
		--with-piddir=/var/run/samba \
		--with-pammodulesdir=/lib/$(DEB_HOST_MULTIARCH)/security \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-winbind \
		--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2,vfs_dfs_samba4,auth_samba4 \
		--with-automount \
		--with-ldap \
		--with-ads \
		--with-dnsupdate \
		--with-gpgme \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba \
		--datadir=/usr/share \
		--with-lockdir=/var/run/samba \
		--with-statedir=/var/lib/samba \
		--with-cachedir=/var/cache/samba \
		--enable-avahi \
		--disable-rpath \
		--disable-rpath-install \
		--bundled-libraries=NONE,pytevent,iniparser,roken,wind,hx509,asn1,heimbase,hcrypto,krb5,gssapi,heimntlm,hdb,kdc,com_err,compile_et,asn1_compile \
		--builtin-libraries=replace,ccan,samba-cluster-support \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--with-cluster-support \
		--with-socketpath=/var/run/ctdb/ctdbd.socket \
		--with-logdir=/var/log/ctdb

ifeq ($(DEB_HOST_ARCH_OS), linux)
	conf_args += \
		--without-systemd
else
	conf_args += \
		--without-systemd
endif

%:
	dh $* --with python2

override_dh_auto_configure:
	$(WAF) configure $(conf_args)

override_dh_auto_clean:
	-$(WAF) clean
	find . -name "*.pyc" | xargs rm -f
	rm -rf buildtools/bin/.waf-*
	rm -rf bin
	rm -f .lock-wscript
	rm -f ctdb/README.eventscripts
	rm -f ctdb/README.notify.d

override_dh_auto_install:
	DESTDIR="$(DESTDIR)" $(WAF) install

override_dh_auto_build:
	DESTDIR="$(DESTDIR)" $(WAF)

override_dh_auto_test:
	# Running make test requires configuration with --enable-selftest, which
	# we don't want to do for production systems.

override_dh_installdocs-arch:
	cp ctdb/config/events.d/README ctdb/README.eventscripts
	cp ctdb/config/notify.d.README ctdb/README.notify.d
	dh_installdocs
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	dh_installdocs -pctdb debian/ctdb.README.hurd
endif
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_installdocs -pctdb debian/ctdb.README.kfreebsd
endif

override_dh_install:
	# get list of files in build log
	find ${DESTDIR}
	# Included in python-tevent
	rm $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
	rm $(DESTDIR)/usr/lib/python*/*-packages/tevent.py
	# Already documented in debian/copyright
	-rm $(DESTDIR)/usr/share/samba/setup/ad-schema/licence.txt
	# System ldb loads its modules from a different path
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb
	ln -sf ../../../samba/ldb $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb/samba
	# pam stuff
	mkdir -p $(DESTDIR)/usr/share/pam-configs
	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libnss_* $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/
	# we don't ship the symlinks
	rm $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/libnss_*.so
	#Remove unused ldb share configuration plugin
	rm $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/samba/share/ldb.so
	#Remove unused vfstest manpage vfstest is no longer installed
	rm $(DESTDIR)/usr/share/man/man1/vfstest.1
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/plugin/krb5
	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/winbind_krb5_locator.so \
	   $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/plugin/krb5
	install -m 0755 debian/setoption.py $(DESTDIR)/usr/share/samba
	install -m 0755 debian/addshare.py $(DESTDIR)/usr/share/samba
	# Install samba-common's conffiles - they'll get moved later to their
	# correct place by dh_install
	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	mkdir -p $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d/samba
	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	mkdir -p debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba
	mv $(DESTDIR)/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so \
	   debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so
	mkdir -p $(DESTDIR)/etc/ufw/applications.d
	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
	# use upstream version of smb.conf.5 if there is no built version
	# this is a temporary workaround for #750593 in xsltproc
	[ -e $(DESTDIR)/usr/share/man/man5/smb.conf.5 ] || \
	   cp docs/manpages/smb.conf.5 $(DESTDIR)/usr/share/man/man5/smb.conf.5
	# Tests that shouldn't be installed
	rm -f $(DESTDIR)/usr/bin/async_connect_send_test
	# Remove ctdb tests
	rm $(DESTDIR)/usr/bin/ctdb_run_tests
	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
	rm -r $(DESTDIR)/usr/share/ctdb/tests
	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
	#install -m 0644 packaging/systemd/samba.sysconfig $(DESTDIR)/etc/default/samba
	#
	dh_install --sourcedir=$(DESTDIR) --list-missing --fail-missing

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_installpam:
	dh_installpam --name=samba

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_installinit:
ifneq (,$(filter samba, $(shell dh_listpackages)))
	dh_installinit -psamba --name smbd
	dh_installinit -psamba --name nmbd
	dh_installinit -psamba --name samba-ad-dc
	dh_installinit -psamba --noscripts
	dh_installinit -psamba --no-start --name reload-smbd
endif
ifneq (,$(filter winbind, $(shell dh_listpackages)))
	dh_installinit -pwinbind
endif
ifneq (,$(filter ctdb, $(shell dh_listpackages)))
	install -m644 ctdb/config/ctdbd.conf $(CURDIR)/debian/ctdb/etc/ctdb/ctdbd.conf
	# Install /etc/init.d/ctdb
	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
	install -m755 ctdb/config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
	# Install dh scripts
	dh_installinit -pctdb --no-start --no-restart-on-upgrade --onlyscripts
endif

override_dh_shlibdeps:

=== debian/watch ===
version=3
opts="uversionmangle=s/tp/~alpha1~tp/;s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/,dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress" \
	  https://download.samba.org/pub/samba samba-(4\.6\..*).tar.gz
